package fr.iutfbleau.dev45.wamster.tp05ex02_arcenciel;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {

    private EvenementClic evenementClic;
    private EvenementBoutonChoix evenementBoutonChoix;
    private ListeCouleur listeCouleur;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        View arrierePlan = findViewById(R.id.arrierePlan);
        Button bouton = findViewById(R.id.bouton);

        this.listeCouleur = new ListeCouleur();
        this.evenementClic = new EvenementClic(arrierePlan, this.listeCouleur);
        this.evenementBoutonChoix = new EvenementBoutonChoix(this);

        Intent intension = this.getIntent();
        Log.v("test",intension.toString());
        if (intension != null){
            boolean[] etatCouleur = intension.getBooleanArrayExtra("etatCouleur");
            if (etatCouleur != null){
                Log.v("test",etatCouleur.toString());
                this.listeCouleur.setListeCouleur(etatCouleur);
                this.listeCouleur.setIndex(intension.getIntExtra("index", 0));
            }
        }

        arrierePlan.setOnTouchListener(evenementClic);
        arrierePlan.setBackgroundColor(this.listeCouleur.getActualColor());
        bouton.setOnClickListener(evenementBoutonChoix);
    }

    public void demarrerActivite2() {
        boolean[] etatCouleur = this.listeCouleur.getValideCouleur();
        int index = this.listeCouleur.getIndex();
        Intent intension = new Intent(MainActivity.this, Activite2.class);
        intension.putExtra("etatCouleur", etatCouleur);
        intension.putExtra("index", index);
        this.startActivity(intension);
    }
}